/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model127
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model127 {
  @SerializedName("general_information")
  private Model85 generalInformation = null;

  @SerializedName("stolen_cash_claim_information")
  private StolenCashClaimInformation stolenCashClaimInformation = null;

  public Model127 generalInformation(Model85 generalInformation) {
    this.generalInformation = generalInformation;
    return this;
  }

   /**
   * Get generalInformation
   * @return generalInformation
  **/
  @ApiModelProperty(required = true, value = "")
  public Model85 getGeneralInformation() {
    return generalInformation;
  }

  public void setGeneralInformation(Model85 generalInformation) {
    this.generalInformation = generalInformation;
  }

  public Model127 stolenCashClaimInformation(StolenCashClaimInformation stolenCashClaimInformation) {
    this.stolenCashClaimInformation = stolenCashClaimInformation;
    return this;
  }

   /**
   * Get stolenCashClaimInformation
   * @return stolenCashClaimInformation
  **/
  @ApiModelProperty(required = true, value = "")
  public StolenCashClaimInformation getStolenCashClaimInformation() {
    return stolenCashClaimInformation;
  }

  public void setStolenCashClaimInformation(StolenCashClaimInformation stolenCashClaimInformation) {
    this.stolenCashClaimInformation = stolenCashClaimInformation;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model127 model127 = (Model127) o;
    return Objects.equals(this.generalInformation, model127.generalInformation) &&
        Objects.equals(this.stolenCashClaimInformation, model127.stolenCashClaimInformation);
  }

  @Override
  public int hashCode() {
    return Objects.hash(generalInformation, stolenCashClaimInformation);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model127 {\n");
    
    sb.append("    generalInformation: ").append(toIndentedString(generalInformation)).append("\n");
    sb.append("    stolenCashClaimInformation: ").append(toIndentedString(stolenCashClaimInformation)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

